#!/usr/bin/bash

# -- CLI Class ----------------------------------------------------------------

cli.init() {
    function __write_header() {
        clear && echo
        printf $"${@:1:1}" ${@:2} && \
        for i in $(seq 1 ${cols}); do \
            printf "%s" "-"; \
            sleep .0075; \
        done && \
        printf "%2s\n"
    }

    function _init() {
        __write_header "${@}"
    }

    cols=$(tput cols)
    _init "${@}"
}

# vim: ts=4:sw=4:sts=4:et
